Subject: Re: Options for Source Code Control: RCS v. SCCS v. CVS
From: Mike Eggleston <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jul 2004 12:55:21 -0500

On Sat, 10 Jul 2004, Richard Heintze wrote:

> I need some help understanding how RCS works. I typed
> "info RCS" and felt confused.
> 
> Is RCS like CVS in the sense that one runs a un*x
> deamon or windows service on a remote node and legions
> of programmers use a client implemented with sockets
> or pipes.
> 
> If so, (1) how do I start the service or deamon for
> RCS?
> 
>   (2) does RCS lock out other programmers while one 
> works on a file or is RCS like CVS and everyone merges
> their differences later?
> 
> 
> Does cygwin include the CVS windows service? If so,
> how do I start it up?
> 
> Can I assume that the CVS I see in the cygwin
> documentation is the origional CVS ported to windows
> and not CVSNT?
> 
> Are RCS and CVS the only open source programs for
> source code control? What is SCCS? I believe that is a
> propietary program and not avialable as open source.
> 
> How does one decide between using RCS and CVS? Are
> they very similar?

RCS is local to your computer and has no daemon.
CVS started as a remote RCS, and still works in a similiar
fashion.

Mike

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/